<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('stores', function (Blueprint $table) {
            $table->text('consumer_key')->change();
            $table->text('consumer_secret')->change();
        });
    }

    public function down()
    {
        Schema::table('stores', function (Blueprint $table) {
            $table->string('consumer_key')->change();
            $table->string('consumer_secret')->change();
        });
    }
};